=== util-src/Makefile ===
--- 
+++ 
@@ -7,16 +7,25 @@
 IDN_LIB?=idn
 OPENSSL_LIB?=crypto
 CC?=gcc
+CXX?=g++
 LD?=gcc
 
 .SUFFIXES: .c .o .so
+
+encodings.so: encodings.o
+	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
+	$(CC) -o $@ $< $(LDFLAGS) $(IDNA_LIBS)
+
+hashes.so: hashes.o
+	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
+	$(CC) -o $@ $< $(LDFLAGS) -l$(OPENSSL_LIB)
 
 .c.o:
 	$(CC) $(CFLAGS) -I$(LUA_INCDIR) -c -o $@ $<
 
 .o.so:
 	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
-	$(LD) $(LDFLAGS) -o $@ $< -L$(LUA_LIBDIR) -llua$(LUA_SUFFIX) -lidn -lcrypto
+	$(LD) -o $@ $< $(LDFLAGS)
 
 all: encodings.so hashes.so pposix.so signal.so
