=== debian/control ===
Source: prosody
Section: net
Priority: extra
Maintainer: Matthew James Wild <mwild1@gmail.com>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>, Sergei Golovan <sgolovan@debian.org>
Build-Depends: lua5.1, liblua5.1-dev, libidn11-dev, libssl-dev, debhelper (>> 8.1.3), txt2man, quilt (>= 0.46-7)
Standards-Version: 3.9.3
Homepage: http://www.prosody.im/

Package: prosody
Architecture: any
Multi-Arch: foreign
Depends: adduser, ssl-cert, lua5.1, liblua5.1-0,
 lua5.1-expat, lua-expat (>= 1.2.0), 
 lua5.1-socket, 
 lua5.1-filesystem, lua-filesystem (>= 1.4.2-3~),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: lua5.1-sec, lua5.1-event
Suggests: lua-zlib, lua-dbi-postgresql, lua-dbi-mysql, lua-dbi-sqlite3
Description: Lightweight Jabber/XMPP server written in Lua
 Prosody IM is a simple-to-use XMPP server. It is designed to be easy to 
 extend via plugins, and light on resources.
