=== util-src/Makefile ===
--- 
+++ 
@@ -9,8 +9,20 @@
 CC?=gcc
 CXX?=g++
 LD?=gcc
+CFLAGS+=-ggdb
 
+.PHONY: all install clean
 .SUFFIXES: .c .o .so
+
+all: encodings.so hashes.so net.so pposix.so signal.so
+
+install: encodings.so hashes.so net.so pposix.so signal.so
+	install *.so ../util/
+
+clean:
+	rm -f *.o
+	rm -f *.so
+	rm -f ../util/*.so
 
 encodings.so: encodings.o
 	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
@@ -27,12 +39,3 @@
 	MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
 	$(LD) -o $@ $< $(LDFLAGS)
 
-all: encodings.so hashes.so pposix.so signal.so
-
-install: encodings.so hashes.so pposix.so signal.so
-	install *.so ../util/
-
-clean:
-	rm -f *.o
-	rm -f *.so
-	rm -f ../util/*.so
