=== debian/changelog ===
prosody (0.9.1-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: path traversal vulnerability in mod_http_files
    - debian/patches/CVE-2016-1231.patch
    - CVE-2016-1231
    - LP: #1532943
  * SECURITY UPDATE: use of weak PRNG in generation of dialback secrets
    - debian/patches/CVE-2016-1232.patch
    - CVE-2016-1232
    - LP: #1532943

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jan 2016 19:21:33 +0100

prosody (0.9.1-1) unstable; urgency=low

  * New upstream release including ipv6 support (Closes: #721970, #562161)
  * Packaging moved to git (still collab maint)
  * Add Vcs-* fields to control file
  * Standards-Version bumped to 3.9.4, no changes needed 
  * Add delaycompress to logrotate file (Closes: #718703) 
  * Allow user to override IO/CPU scheduler and nice level using
    /etc/default/prosody, as the upstream does 
  * Fix LSB init info adding $local_fs as a dependency
  * Align package description with the one used by the upstream

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 16 Aug 2013 16:18:43 +0200

prosody (0.9.0~rc5-2) unstable; urgency=low

  * Configure prosody using --ostype=debian 
  * New patch to use dpkg-buildflags (activates hardening flags) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 12 Aug 2013 09:58:27 +0200

prosody (0.9.0~rc5-1) unstable; urgency=low

  * New upstream release candidate

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 27 Sep 2012 18:22:53 +0200
