=== debian/changelog ===
prosody (0.9.4-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1374960)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 28 Sep 2014 14:15:27 +0200

prosody (0.9.4-1) unstable; urgency=high

  * New upstream release
  * Additional patches fixing a DOS:
      - 0005-Disable-LuaExpat-buffering-if-possible.patch
      - 0006-Also-disable-CharacterData-merging-after-stream-rest.patch

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 05 Apr 2014 12:53:47 +0200

prosody (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * Fix ejabberd2prosody path (LP: #1109051)
  * Add Provides: xmpp-server (Closes: #737761) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Mar 2014 16:26:25 +0100

prosody (0.9.2-1) unstable; urgency=medium

  * New upstream release (Closes: #737260)
  * Patches refreshed
  * Copyright rewritten following format 1.0

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 10 Jan 2014 18:11:25 +0100
