## prosody 0.9.7

=== debian/changelog ===
prosody (0.9.7-2) unstable; urgency=high

  * Apply upstream patch to validate UTF-8 strings before calling libidn
    (related to CVE-2015-2059)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Mar 2015 16:20:07 +0100

prosody (0.9.7-1) unstable; urgency=medium

  * New upstream release, really a minor fix over 0.9.6 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 25 Oct 2014 10:42:14 +0200

prosody (0.9.6-1) unstable; urgency=medium

  * New upstream release 
  * Remove patches integrate upstream:
      - 0005-Disable-LuaExpat-buffering-if-possible.patch
      - 0006-Also-disable-CharacterData-merging-after-stream-rest.patch

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 24 Oct 2014 22:07:31 +0200
