=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: prosody
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Maintainer: Matthew James Wild <mwild1@gmail.com>
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>
@@ -24,6 +23,7 @@
  ${shlibs:Depends}, ${misc:Depends}
 Recommends: lua5.1-sec, lua5.1-event
 Suggests: lua-zlib, lua-dbi-postgresql, lua-dbi-mysql, lua-dbi-sqlite3
+Provides: xmpp-server
 Description: Lightweight Jabber/XMPP server
  Prosody IM is a simple-to-use XMPP server. It is designed to be easy to 
  extend via plugins, and light on resources.
