=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: prosody
 Section: net
 Priority: extra
-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>
 Build-Depends:
  lua5.1, liblua5.1-dev,
- libidn11-dev, libssl-dev, debhelper (>> 8.1.3), txt2man, quilt (>= 0.46-7)
-Standards-Version: 3.9.4
+ libidn11-dev, libssl-dev, debhelper (>> 8.1.3), txt2man
+Standards-Version: 3.9.6
 Homepage: http://www.prosody.im/
 Vcs-Git: git://git.debian.org/git/collab-maint/prosody.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/prosody.git
