## prosody 0.9.10

=== certs/Makefile ===
--- 
+++ 
@@ -26,5 +26,5 @@
 	sed 's,example\.com,$*,g' openssl.cnf > $@
 
 %.key:
-	openssl genrsa $(keysize) > $@
-	@chmod 400 $@
+	umask 0077 && openssl genrsa -out $@ $(keysize)
+	@chmod 400 $@ -c
