=== debian/changelog ===
prosody (0.9.10-1) unstable; urgency=medium

  * New upstream release fixing CVE-2016-0756 and a regression caused by the
    previous fix of CVE-2016-1232.
  * Turn the soft dependency on lua-sec to a hard one because using TLS
    in XMPP is essentially mandatory now (closes: #734678).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 28 Jan 2016 09:47:26 +0300

prosody (0.9.9-1) unstable; urgency=medium

  * New upstream release fixing CVE-2016-1231 and CVE-2016-1232 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 08 Jan 2016 21:29:20 +0100
