=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: prosody
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Maintainer: Matthew James Wild <mwild1@gmail.com>
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>
@@ -20,9 +19,10 @@
 Depends: adduser, ssl-cert, lua5.1,
  lua5.1-expat, lua-expat (>= 1.2.0), 
  lua5.1-socket, 
+ lua5.1-sec,
  lua5.1-filesystem, lua-filesystem (>= 1.4.2-3~),
  ${shlibs:Depends}, ${misc:Depends}
-Recommends: lua5.1-sec, lua5.1-event
+Recommends: lua5.1-event
 Suggests: lua-zlib, lua-dbi-postgresql, lua-dbi-mysql, lua-dbi-sqlite3
 Provides: xmpp-server
 Description: Lightweight Jabber/XMPP server
