=== certs/Makefile ===
--- 
+++ 
@@ -27,4 +27,4 @@
 
 %.key:
 	umask 0077 && openssl genrsa -out $@ $(keysize)
-	@chmod 400 $@ -c
+	@chmod 400 $@
