=== debian/changelog ===
prosody (0.9.12-2) unstable; urgency=medium

  * [01d44c8] fix fails to initiate s2s when lua-event 0.4.3 is installed
    backport fix from https://prosody.im/issues/issue/555
    (Closes: #863475)

 -- Victor Seva <vseva@debian.org>  Wed, 31 May 2017 09:33:41 +0200

prosody (0.9.12-1) unstable; urgency=medium

  * [e840660] New upstream version 0.9.12
  * [5bab192] remove already applied patches
  * [995f758] fix hardening warnings

 -- Victor Seva <vseva@debian.org>  Wed, 11 Jan 2017 09:56:01 +0100

prosody (0.9.11-2) unstable; urgency=medium

  * [c239fbf] fix check incoming certificates valididy (Closes: #846470)

 -- Victor Seva <vseva@debian.org>  Mon, 12 Dec 2016 09:03:29 +0100

prosody (0.9.11-1) unstable; urgency=medium

  * [f27016f] New upstream version 0.9.11
  * [8234bea] add myself to uploaders list
  * [90f1d05] update Standards-Version ( no changes needed )
  * [bf05d9a] fix package-uses-deprecated-debhelper-compat-version.
    wrap-and-sort -sat
  * [77f3d3f] fix vcs-field-uses-insecure-uri
  * [dc46868] fix init.d-script-needs-depends-on-lsb-base
  * [64946c5] fix wildcard-matches-nothing-in-dep5-copyright
    util-src/lsignal.c
  * [d57b350] fix extended-description-is-probably-too-short

 -- Victor Seva <vseva@debian.org>  Fri, 04 Nov 2016 08:53:23 +0100
