=== debian/control ===
Source: prosody
Section: net
Priority: extra
Maintainer: Matthew James Wild <mwild1@gmail.com>
Uploaders:
 Enrico Tassi <gareuselesinge@debian.org>,
 Sergei Golovan <sgolovan@debian.org>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dpkg-dev (>= 1.16.1.1),
 libidn11-dev,
 liblua5.1-dev,
 libssl-dev,
 lua5.1,
 txt2man,
Standards-Version: 3.9.8
Homepage: http://www.prosody.im/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/prosody.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/prosody.git/

Package: prosody
Architecture: any
Multi-Arch: foreign
Depends:
 adduser,
 lsb-base,
 lua-expat (>= 1.2.0),
 lua-filesystem (>= 1.4.2-3~),
 lua5.1,
 lua5.1-expat,
 lua5.1-filesystem,
 lua5.1-sec,
 lua5.1-socket,
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lua5.1-event,
Suggests:
 lua-dbi-mysql,
 lua-dbi-postgresql,
 lua-dbi-sqlite3,
 lua-zlib,
Provides:
 xmpp-server,
Description: Lightweight Jabber/XMPP server
 Prosody is a modern XMPP communication server. It aims to be
 easy to set up and configure, and efficient with system resources.
 Additionally, for developers it aims to be easy to extend and
 give a flexible system on which to rapidly develop added
 functionality, or prototype new protocols.
