=== debian/changelog ===
prosody (0.10.0-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:52:09 +0000

prosody (0.10.0-1) unstable; urgency=medium

  * [a2ca44a] New upstream version 0.10.0
  * [d80d140] run restorecon when creating a new pid directory for SE Linux
    (Closes: #859727)
  * [338a603] add upstream/signing-key.asc as 4.1.0 mandates
  * [67e4d05] set priority to optional conforming 4.0.1
  * [6cf707a] refresh 0001-conf.patch
  * [c04e9e9] update Standards Version to 4.1.1
  * [037b463]  add libs for dh_auto_test to work
  * [8e51731] fix lintian

 -- Victor Seva <vseva@debian.org>  Fri, 13 Oct 2017 11:10:54 +0200

prosody (0.10~hg745e0a783055-3) experimental; urgency=medium

  * [1800745] Conflicts with old prosody-modules version (closes: #867678)

 -- Victor Seva <vseva@debian.org>  Wed, 19 Jul 2017 18:25:48 +0200

prosody (0.10~hg745e0a783055-2) experimental; urgency=medium

  * [ac51124] fix typo at bitop dependency

 -- Victor Seva <vseva@debian.org>  Mon, 19 Jun 2017 12:53:10 +0200

prosody (0.10~hg745e0a783055-1) experimental; urgency=medium

  * [24b852c] fix boot order for popular SQL servers (Closes: #743998)
  * [50d6499] fix bashism at prosody.init and prevent word
    splitting using quotes
  * [1998209] New upstream version 0.10~hg745e0a783055 (Closes: #842963)
  * [643e3c0] refresh debian patches
  * [f5a1451] add lua5.1-bitop as dependency due to websocket module

 -- Victor Seva <vseva@debian.org>  Tue, 30 May 2017 13:24:12 +0200
