=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: prosody
 Section: net
-Priority: extra
-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
 Uploaders:
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>,
@@ -12,9 +13,11 @@
  libidn11-dev,
  liblua5.1-dev,
  libssl-dev,
+ lua5.1-expat,
+ lua5.1-socket,
  lua5.1,
  txt2man,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.prosody.im/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/prosody.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/prosody.git/
@@ -28,6 +31,7 @@
  lua-expat (>= 1.2.0),
  lua-filesystem (>= 1.4.2-3~),
  lua5.1,
+ lua5.1-bitop,
  lua5.1-expat,
  lua5.1-filesystem,
  lua5.1-sec,
@@ -42,6 +46,8 @@
  lua-dbi-postgresql,
  lua-dbi-sqlite3,
  lua-zlib,
+Conflicts:
+ prosody-modules (<< 0.0~hg20170719.cd828b1cb5b9+dfsg-1),
 Provides:
  xmpp-server,
 Description: Lightweight Jabber/XMPP server
