=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	./configure --ostype=debian --prefix=/usr 
+	./configure --ostype=debian --prefix=/usr
 
 override_dh_auto_build:
 	dh_auto_build
