## prosody 0.10.2

=== debian/changelog ===
prosody (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * Set Debian XMPP team as maintainer.
  * Reverting fix for #851669, because it introduced other bugs
    (closes: #899352, #899357, #899359).
  * New upstream release (Closes: #900524), which fixes
    CVE-2018-10847: insufficient stream header validation.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 31 May 2018 20:57:00 +0000

prosody (0.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 May 2018 14:22:54 +0300

prosody (0.10.0-2) unstable; urgency=medium

  * Move the prosody PID file to /run/prosody (closes: #883905).
  * Exit the logrotate postrotate script with zero status if prosody isn't
    running (closes: #888644).
  * Add /usr/local/lib/prosody/modules to a modules search path for local
    administrators. Remove VirtualHost example from the main config in favor
    of subconfigs (closes: #827689).
  * Copy the example snakeoil certificate to /etc/prosody/certs instead of
    linking it. This helps not to add prosody to the ssl-cert group which may
    be troubling from a security standpoint (closes: #851669).
  * Add a systemd unit file, don't daemonize the server, letting systemd or
    start-stop-daemon do that (closes: #851519).
  * Bump the debhelper compatibility level to 11.
  * Bump the standards version to 4.1.4.
  * Fix the package VCS headers.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Apr 2018 13:54:50 +0300
