=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: prosody
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew James Wild <mwild1@gmail.com>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders:
+ Matthew James Wild <mwild1@gmail.com>,
  Enrico Tassi <gareuselesinge@debian.org>,
  Sergei Golovan <sgolovan@debian.org>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 11),
  dpkg-dev (>= 1.16.1.1),
  libidn11-dev,
  liblua5.1-dev,
@@ -17,10 +17,10 @@
  lua5.1-socket,
  lua5.1,
  txt2man,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://www.prosody.im/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/prosody.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/prosody.git/
+Vcs-Browser: https://salsa.debian.org/xmpp-team/prosody
+Vcs-Git: https://salsa.debian.org/xmpp-team/prosody.git
 
 Package: prosody
 Architecture: any
